import { PromiseClient } from '@bufbuild/connect';
import { Service as AuthService } from '@rigdev/api/api/v1/authentication/service_connect.js';
import { LoginRequest, LoginResponse } from '@rigdev/api/api/v1/authentication/service_pb.js';
import { SessionManager } from './session_manager.js';
import { Service as UserService } from '@rigdev/api/api/v1/user/service_connect.js';
import { Service as UserSettingsService } from '@rigdev/api/api/v1/user/settings/service_connect.js';
import { Service as ProjectSettingsService } from '@rigdev/api/api/v1/project/settings/service_connect.js';
import { Service as ProjectService } from '@rigdev/api/api/v1/project/service_connect.js';
import { Service as GroupService } from '@rigdev/api/api/v1/group/service_connect.js';
import { Service as StorageService } from '@rigdev/api/api/v1/storage/service_connect.js';
import { Service as DatabaseService } from '@rigdev/api/api/v1/database/service_connect.js';
import { Service as ServiceAccountService } from '@rigdev/api/api/v1/service_account/service_connect.js';
import { Service as CapsuleService } from '@rigdev/api/api/v1/capsule/service_connect.js';
import { PartialMessage } from '@bufbuild/protobuf';
export interface ClientOptions {
    host?: string;
    credentials?: Credentials;
    projectID?: string;
}
export interface Credentials {
    id: string;
    secret: string;
}
export declare class Client {
    user: PromiseClient<typeof UserService>;
    userSettings: PromiseClient<typeof UserSettingsService>;
    projectSettings: PromiseClient<typeof ProjectSettingsService>;
    projects: PromiseClient<typeof ProjectService>;
    storage: PromiseClient<typeof StorageService>;
    group: PromiseClient<typeof GroupService>;
    database: PromiseClient<typeof DatabaseService>;
    serviceAccount: PromiseClient<typeof ServiceAccountService>;
    capsule: PromiseClient<typeof CapsuleService>;
    auth: PromiseClient<typeof AuthService>;
    private _authInterceptor;
    private _transport;
    sessionManager: SessionManager;
    host: string;
    loginRequest: PartialMessage<LoginRequest> | undefined;
    getAccessToken(): Promise<string | undefined>;
    constructor(options: ClientOptions);
    login(loginRequest: PartialMessage<LoginRequest>): Promise<LoginResponse>;
    logout(): void;
}
