export interface SessionManager {
    set(key: SessionKey, value: string): void;
    get(key: SessionKey): string | undefined;
    remove(key: SessionKey): void;
}
export declare enum SessionKey {
    AccessToken = "_access_token",
    RefreshToken = "_refresh_token",
    UserID = "_user_id",
    User = "_user",
    ProjectToken = "_project_token"
}
export declare class InMemorySessionManager {
    private map;
    set(key: SessionKey, value: string): void;
    get(key: SessionKey): string | undefined;
    remove(key: SessionKey): void;
}
export declare class LocalStorageSessionManager {
    set(key: SessionKey, value: string): void;
    get(key: SessionKey): string | undefined;
    remove(key: SessionKey): void;
}
