export var SessionKey;
(function (SessionKey) {
    SessionKey["AccessToken"] = "_access_token";
    SessionKey["RefreshToken"] = "_refresh_token";
    SessionKey["UserID"] = "_user_id";
    SessionKey["User"] = "_user";
    SessionKey["ProjectToken"] = "_project_token";
})(SessionKey || (SessionKey = {}));
export class InMemorySessionManager {
    constructor() {
        this.map = new Map();
    }
    set(key, value) {
        this.map.set(key, value);
    }
    get(key) {
        return this.map.get(key);
    }
    remove(key) {
        this.map.delete(key);
    }
}
export class LocalStorageSessionManager {
    set(key, value) {
        localStorage.setItem(key, value);
    }
    get(key) {
        return localStorage.getItem(key) ?? undefined;
    }
    remove(key) {
        localStorage.removeItem(key);
    }
}
